---@meta
---
--- C_LootHistory is a namespace for functions related to loot history.
---
--- @class C_LootHistory
C_LootHistory = {
    --- @return table
    --- Returns all encounter information.
    GetAllEncounterInfos = function() end,

    --- @param encounterID number
    --- @return table
    --- Returns information for a specific encounter.
    GetInfoForEncounter = function(encounterID) end,

    --- @return number
    --- Returns the loot history time.
    GetLootHistoryTime = function() end,

    --- @param encounterID number
    --- @return table
    --- Returns sorted drops for a specific encounter.
    GetSortedDropsForEncounter = function(encounterID) end,

    --- @param encounterID number
    --- @param lootListID number
    --- @return table
    --- Returns sorted information for a specific drop.
    GetSortedInfoForDrop = function(encounterID, lootListID) end,
}
